// ============================================================================
//  $Id: TRecordDisplayCanvas.cc,v 1.2 2004/03/07 10:30:27 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TRecordDisplayCanvas.cc,v $
//  Revision 1.2  2004/03/07 10:30:27  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.1  2004/03/01 02:36:25  goiwai
//  RecordDisplay用のクラス群を置きました.
//  お蔵入りになってたものに手直しを加えたものですが,
//  まだ不充分な点も在ります.徐々に修正していきたいと思います.
//  DataRecordオブジェクトを表示するためのツール群なのでRecordDisplayと呼
//  んでいます,多分にオフライン要素が強いです.
//  オンラインよりにしたものを後でEventDisplay(Eventを表示)としてコミット
//  します.
//
// ============================================================================
#ifdef __CLDAQ_ROOT_USE
#include <TCanvas.h>
#include "TRecordDisplay.hh"
#include "TRecordDisplayCanvas.hh"
#include "TRecordDisplayPreference.hh"

TRecordDisplayCanvas::TRecordDisplayCanvas( TRecordDisplay* d, TGCompositeFrame* f, const Tstring& name, Tint w, Tint h )
  : TRecordDisplayComponent( d, f ), 
    TRootEmbeddedCanvas( name.c_str(), theParentFrame, w, h )
{
  Build();
}

TRecordDisplayCanvas::~TRecordDisplayCanvas()
{;}

Tvoid TRecordDisplayCanvas::Move()
{
  GetCanvas() -> cd();
  return;
}

Tvoid TRecordDisplayCanvas::Update()
{
  GetCanvas() -> Modified();
  GetCanvas() -> Update();
  return;
}

Tvoid TRecordDisplayCanvas::Clear()
{
  GetCanvas() -> Clear();
  return;
}

Tvoid TRecordDisplayCanvas::Build()
{
  TGLayoutHints* cvL = 
    theRecordDisplay -> GetPreference() -> GetCanvasLayoutHint();
  theParentFrame -> AddFrame( this, cvL );

  theFinishBuild = Ttrue;
  return;
}
#endif

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TRecordDisplayCanvas)
#endif
